#
# spec file for package python3-libnacl
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-libnacl
Version:        1.4.5
Release:        1.6
License:        Apache-2.0
Summary:        Python bindings for libsodium/tweetnacl based on ctypes
Url:            https://github.com/saltstack/libnacl
Group:          Development/Languages/Python
Source0:        https://files.pythonhosted.org/packages/source/l/libnacl/libnacl-%{version}.tar.gz
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel
BuildRequires:  libsodium-devel
BuildRequires:  fdupes
BuildArch:      noarch

%description
This library is used to gain direct access to the functions exposed by Daniel J. Bernstein's
nacl library via libsodium or tweetnacl. It has been constructed to maintain extensive 
documentation on how to use nacl as well as being completely portable. The file 
in libnacl/__init__.py can be pulled out and placed directly in any project to give a 
single file binding to all of nacl.

%prep
%setup -q -n libnacl-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot} --optimize=1
%fdupes %{buildroot}%{_prefix}

%files
%defattr(-,root,root)
%{python3_sitelib}/*

%changelog
* Sun May 29 2016 arun@gmx.de
- update to version 1.4.5:
  * libnacl will only function with libsodium 0.5 and above
  * Added explicit soversion support for libsodium 18
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Mon Feb  1 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.4.4:
  * Add pack_nonce options to secretbox
  * Add soversion 17 detection
  * Fix crypto_onetimeauth tests
  * Remove tweetnacl Support
  * Add sodium_init calls
* Sun Sep 13 2015 termim@gmail.com
- copy from python-libnacl
